import { CSSProperties, HTMLAttributes } from 'react';
export interface ResultProps extends Omit<HTMLAttributes<HTMLDivElement>, 'className' | 'ref'> {
    style?: CSSProperties;
    className?: string | string[];
    icon?: 'success' | 'warning' | 'info' | 'error' | React.ReactNode;
    mainTitle?: string | React.ReactNode;
    subTitle?: string | React.ReactNode;
    extra?: React.ReactNode;
}
